@echo off
title ANALYSE SYGMART
cls
color 5F
SET source=texte.txt
SET arbre=texte.sts

:menu
cls
ECHO --------- Analyse SYGMART de %source% ---------
ECHO e) [E]diter le texte source
ECHO l) [L]ancer l'analyse SYGMART
ECHO n) [N]otes au sujet de AppliSyg
ECHO v) [V]oir le resultat (arbre parentheses)
ECHO x) [X]ML lancer conversion XML resultat Sygserver (Labadier)
ECHO q) [q]uitter
ECHO. 

set /p choix=Votre choix:
 
if /I "%choix%"=="e" (goto :EDITER)
if /I "%choix%"=="l" (goto :LANCER)
if /I "%choix%"=="v" (goto :VOIR)
if /I "%choix%"=="q" (goto :QUITTER)
if /I "%choix%"=="E" (goto :EDITER)
if /I "%choix%"=="L" (goto :LANCER)
if /I "%choix%"=="n" (goto :NOTER)
if /I "%choix%"=="V" (goto :VOIR)
if /I "%choix%"=="X" (goto :XML)
if /I "%choix%"=="Q" (goto :QUITTER)
goto menu
 
:EDITER
start %SystemRoot%\System32\notepad.exe %source% >> log.txt
GOTO menu

:NOTER
start %SystemRoot%\System32\notepad.exe notes.txt
GOTO menu
 
:LANCER 
echo %DATE% >> log.txt
%CD%\applisyg.exe data %source% >> log.txt
start %SystemRoot%\System32\notepad.exe %arbre% >> log.txt
GOTO menu
 
:VOIR
start %SystemRoot%\System32\notepad.exe %arbre% >> log.txt
GOTO menu

:XML
java -Dfile.encoding=ANSI -jar sygserver.jar %source% resultatLabadier.xml
start %SystemRoot%\System32\notepad.exe resultatLabadier.xml >> log.txt
GOTO menu

:QUITTER
echo "Bye !"